This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1304883 - [abrt] xfce4-xkb-plugin: g_hash_table_lookup_node(): xfce4-xkb-plugin killed by SIGABRT
[abrt] xfce4-xkb-plugin: g_hash_table_lookup_node(): xfce4-xkb-plugin killed ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xfce4-xkb-plugin (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:012d127f9cf37ad79e30942f7ef...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-04 16:52 EST by Dmitry
Modified: 2016-12-20 13:26 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:26:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (26.54 KB, text/plain)
2016-02-04 16:52 EST, Dmitry
no flags Details
File: cgroup (190 bytes, text/plain)
2016-02-04 16:52 EST, Dmitry
no flags Details
File: core_backtrace (10.71 KB, text/plain)
2016-02-04 16:52 EST, Dmitry
no flags Details
File: dso_list (9.95 KB, text/plain)
2016-02-04 16:52 EST, Dmitry
no flags Details
File: environ (1.29 KB, text/plain)
2016-02-04 16:52 EST, Dmitry
no flags Details
File: limits (1.29 KB, text/plain)
2016-02-04 16:52 EST, Dmitry
no flags Details
File: maps (49.65 KB, text/plain)
2016-02-04 16:52 EST, Dmitry
no flags Details
File: mountinfo (2.96 KB, text/plain)
2016-02-04 16:52 EST, Dmitry
no flags Details
File: open_fds (1.28 KB, text/plain)
2016-02-04 16:52 EST, Dmitry
no flags Details
File: proc_pid_status (1015 bytes, text/plain)
2016-02-04 16:52 EST, Dmitry
no flags Details

  None (edit)
Description Dmitry 2016-02-04 16:52:37 EST
Description of problem:
The problem occured when I was changing the style of keyboard layout switcher. From text to image and back. Also I was changing the font size. After I left the properties window opened I switched to some other plugin's properties. Then I decided to remove language widget from panel. After I removed it I could not close the properties window. And after some tries. Plugin crashed. 

Version-Release number of selected component:
xfce4-xkb-plugin-0.7.1-3.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/libexec/xfce4/panel-plugins/xfce4-xkb-plugin '' 18 25259650 xkb-plugin 'Keyboard Layouts' 'Keyboard layouts setup and switch plugin' ''
crash_function: g_hash_table_lookup_node
executable:     /usr/libexec/xfce4/panel-plugins/xfce4-xkb-plugin
global_pid:     2864
kernel:         4.2.3-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 g_hash_table_lookup_node at ghash.c:373
 #5 g_hash_table_lookup_extended at ghash.c:1183
 #6 xkb_config_window_changed at xkb-config.c:403
 #7 g_cclosure_marshal_VOID__OBJECTv at gmarshal.c:2102
 #8 _g_closure_invoke_va at gclosure.c:864
 #11 emit_active_window_changed at screen.c:2382
 #12 update_active_window at screen.c:2108
 #13 do_update_now at screen.c:2337
 #14 update_idle at screen.c:2355
 #19 gtk_dialog_run at gtkdialog.c:1094
Comment 1 Dmitry 2016-02-04 16:52:43 EST
Created attachment 1121207 [details]
File: backtrace
Comment 2 Dmitry 2016-02-04 16:52:44 EST
Created attachment 1121208 [details]
File: cgroup
Comment 3 Dmitry 2016-02-04 16:52:46 EST
Created attachment 1121209 [details]
File: core_backtrace
Comment 4 Dmitry 2016-02-04 16:52:48 EST
Created attachment 1121210 [details]
File: dso_list
Comment 5 Dmitry 2016-02-04 16:52:49 EST
Created attachment 1121211 [details]
File: environ
Comment 6 Dmitry 2016-02-04 16:52:50 EST
Created attachment 1121212 [details]
File: limits
Comment 7 Dmitry 2016-02-04 16:52:53 EST
Created attachment 1121213 [details]
File: maps
Comment 8 Dmitry 2016-02-04 16:52:54 EST
Created attachment 1121214 [details]
File: mountinfo
Comment 9 Dmitry 2016-02-04 16:52:55 EST
Created attachment 1121215 [details]
File: open_fds
Comment 10 Dmitry 2016-02-04 16:52:57 EST
Created attachment 1121216 [details]
File: proc_pid_status
Comment 11 Fedora End Of Life 2016-11-24 10:23:47 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2016-12-20 13:26:49 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.